---
title: Update deployment group
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Zero Trust](https://developers.cloudflare.com/api/typescript/resources/zero_trust)

[Devices](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/devices)

[Deployment Groups](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/devices/subresources/deployment_groups)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update deployment group

client.zeroTrust.devices.deploymentGroups.edit(stringgroupID, DeploymentGroupEditParams {account\_id, name, policy\_ids, version\_config } params, RequestOptionsoptions?): [DeploymentGroup](<https://developers.cloudflare.com/api/typescript/resources/zero_trust#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)>) {id, created\_at, name, 3 more }

PATCH/accounts/{account\_id}/devices/deployment-groups/{group\_id}

Updates a deployment group. Returns 409 if any newly added policy IDs already belong to another deployment group. This endpoint is in Beta.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### ParametersExpand Collapse

groupID: string

[Link to this property](<#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20group_id%20%3E%20(schema)>)

<details>

<summary>

params: DeploymentGroupEditParams {account\_id, name, policy\_ids, version\_config }

</summary>

account\_id: string

Path param

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

name?: string

Body param: A user-friendly name for the deployment group.

maxLength255

minLength1

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

policy\_ids?: Array&lt;string&gt;

Body param: Replaces the entire list of policy IDs.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20policy_ids">Link to this property</a>

<details>

<summary>

version\_config?: Array&lt;VersionConfig&gt;

Body param: Replaces the entire version\_config array.

</summary>

target\_environment: string| null

The target environment for the client version (e.g., windows, macos).

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20version_config%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20target_environment">Link to this property</a>

version: string

The specific client version to deploy.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20version_config%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20version_config">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

DeploymentGroup {id, created\_at, name, 3 more }

</summary>

id: string

The ID of the deployment group.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: string

The RFC3339Nano timestamp when the deployment group was created.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

name: string

A user-friendly name for the deployment group.

maxLength255

minLength1

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

updated\_at: string

The RFC3339Nano timestamp when the deployment group was last updated.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

version\_config: Array&lt;VersionConfig&gt;

Contains version configurations for different target environments.

</summary>

target\_environment: string| null

The target environment for the client version (e.g., windows, macos).

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20version_config%20%3E%20(items)%20%3E%20(property)%20target_environment">Link to this property</a>

version: string

The specific client version to deploy.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20version_config%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20version_config">Link to this property</a>

policy\_ids?: Array&lt;string&gt;| null

Contains a list of policy IDs assigned to this deployment group.

<a href="#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)%20%3E%20(property)%20policy_ids">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.devices.deployment_groups%20%3E%20(model)%20deployment_group%20%3E%20(schema)>)

### Update deployment group

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const deploymentGroup = await client.zeroTrust.devices.deploymentGroups.edit('group_id', {
  account_id: 'account_id',
});

console.log(deploymentGroup.id);
```

200 example

```
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "created_at": "2026-02-14T13:17:00.123456789Z",
    "name": "Engineering Ring 0",
    "updated_at": "2026-02-14T13:17:00.123456789Z",
    "version_config": [
      {
        "target_environment": "windows",
        "version": "2026.6.234.0"
      }
    ],
    "policy_ids": [
      "policy-uuid-1",
      "policy-uuid-2"
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "created_at": "2026-02-14T13:17:00.123456789Z",
    "name": "Engineering Ring 0",
    "updated_at": "2026-02-14T13:17:00.123456789Z",
    "version_config": [
      {
        "target_environment": "windows",
        "version": "2026.6.234.0"
      }
    ],
    "policy_ids": [
      "policy-uuid-1",
      "policy-uuid-2"
    ]
  },
  "success": true
}
```